#!/usr/bin/env python
# -*- coding:Utf-8 -*-
# Module regles
# Official Addons
# By Sicilia

import es, popuplib, gamethread

noms_de_team = es.ServerVar("teams")

def load():
    regles()
    es.dbgmsg(0, '[Sici Jail] Modules : Regles On')

def round_start(E):
    es.msg("#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultPour lire les règles du mode Jail : #green!regles")

def player_activate(E):
    gamethread.delayed(6, send_regles, E["userid"])

def player_say(E):
    if E["text"] == "!regles":
        send_regles(E["userid"])

def send_regles(userid):
    if not popuplib.isqueued("j_regle", userid):
        popuplib.send("j_regle", userid)
        
def regles():
    menu = popuplib.create("j_regle") 
    menu.addline("--- Règles Du Mode Jail ---")
    menu.addline("----------------------------")
    menu.addline("->1. Regles anti-terroristes")
    menu.addline("->2. Regles terroristes     ")
    menu.addline("-------- By Sicilia --------")
    menu.addline(noms_de_team)
    menu.addline("->0. Fermer ")
    menu.submenu(1, "j_regle_ct_mp1")
    menu.submenu(2, "Regles terroristes")

    menu = popuplib.create("Regles terroristes")
    menu.addline("Règles terroristes")
    menu.addline("----------------")
    menu.addline("1. Pour aller infirme cette ordre ne peut etre donner que par un CT sous peine de mort.")
    menu.addline("2. Un détenu peut tuer un gardien quand il veut, ou il veut.")
    menu.addline("3. Un détenu a le droit d'avoir sur lui : un fumigène et la bombe.")
    menu.addline("4. Les détenus qui se trouvent dans la zone réservée aux gardiens")
    menu.addline("seront considérés comme hostiles et pourront être abattus sans sommation !")
    menu.addline("5. Si vous êtes le dernier détenu, vous pouvez demander un cut, une roulette, et autres jeux")
    menu.addline("La team Fog recrute rendez vous: www.Fog.Asso.Fr")
    menu.addline("----------------")
    menu.addline("->8. Retour")
    menu.addline("->0. Fermer")
    menu.submenu(8, "j_regle")

    menu = popuplib.create("j_regle_ct_mp1") 
    menu.addline("Règles anti-terroristes")
    menu.addline("Page 1/2")
    menu.addline("----------------")
    menu.addline("->1. Article 1.0")
    menu.addline("->2. Article 2.0")
    menu.addline("->3. Article 3.0")
    menu.addline("->4. Article 4.0")
    menu.addline("->5. Article 5.0")
    menu.addline("->6. Article 6.0")
    menu.addline("->7. Article 7.0")
    menu.addline("----------------")
    menu.addline("->8. Page Suivante")
    menu.addline(" ")
    menu.addline("->9. Retour")
    menu.addline("->0. Fermer ")
    menu.submenu(8, "j_regle_ct_mp2")
    menu.submenu(9, "j_regle")  
    menu.submenu(1, "a1")
    menu.submenu(2, "a2")
    menu.submenu(3, "a3")
    menu.submenu(4, "a4")
    menu.submenu(5, "a5")
    menu.submenu(6, "a6")
    menu.submenu(7, "a7")
 
    menu = popuplib.create("j_regle_ct_mp2")
    menu.addline("Règles anti-terroristes")
    menu.addline("Page 2/2")
    menu.addline("----------------")
    menu.addline("->1. Article 8.0")
    menu.addline("->2. Article 9.0")
    menu.addline("->3. Article 10.0")
    menu.addline("->4. Article 11.0")
    menu.addline("->5. Article 12.0")
    menu.addline("->6. Article 13.0")
    menu.addline("->7. Article 14.0")
    menu.addline("----------------")
    menu.addline("->8. Page Précédente")
    menu.addline(" ")
    menu.addline("->9. Retour")
    menu.addline("->0. Fermer ")
    menu.submenu(8, "j_regle_ct_mp1")
    menu.submenu(9, "j_regle")
    menu.submenu(1, "a8")
    menu.submenu(2, "a9")
    menu.submenu(3, "a10")
    menu.submenu(4, "a11")
    menu.submenu(5, "a12")
    menu.submenu(6, "a13")
    menu.submenu(7, "a14")

    menu = popuplib.create("a1")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 1.0")
    menu.addline("----------------")
    menu.addline("Si vous voyez un détenu tuer un gardien, vous avez le droit de le tuer")
    menu.addline("seulement au moment de son acte. Soit jusqu'a 5 sec après son acte.")
    menu.addline("La team Fog habitués vient d'ouvrir rien à payer")
    menu.addline("----------------")
    menu.addline("->1. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a2")
    menu.submenu(8, "j_regle_ct_mp1")

    menu = popuplib.create("a2")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 2.0")
    menu.addline("----------------")
    menu.addline("Si un détenu vous tire dessus, ou vous blesse avec une arme ou une grenade")
    menu.addline("explosive, vous pouvez vous défendre. Soyez sûr de vous, si vous tuez quelqu'un")
    menu.addline("d'innocent, vous serez sanctionné.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a1")
    menu.submenu(2,"a3")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a3")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 3.0")
    menu.addline("----------------")
    menu.addline("Si un détenu possède une arme sur lui, demandez-lui de se rendre. S'il ne se rend")
    menu.addline("pas, vous pouvez le blesser. Enfin, s'il ne veut pas se rendre,  ")
    menu.addline("vous pouvez le tuer.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a2")
    menu.submenu(2,"a4")
    menu.submenu(8, "j_regle_ct_mp1")

    menu = popuplib.create("a4")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 4.0")
    menu.addline("----------------")
    menu.addline("Vous pouvez donner des ordres aux détenus et ils sont censés vous écouter. Si")
    menu.addline("un détenu n'obéit pas, vous pouvez le blesser et ensuite le tuer.")
    menu.addline("Attention aux ordres abusifs. Pensez qu'un détenu n'entendra")
    menu.addline("pas forcément votre ordre. Répétez-le au moins trois fois.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a3")
    menu.submenu(2,"a5")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a5")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 5.0")
    menu.addline("----------------")
    menu.addline("Si il reste 1 CT il a le droits de tuer tous les détenus sans sommation. (Camp non autoriser)")
    menu.addline("Le port de la bombe et d'un fumingène pour un détenu est autorisés.Sauf somation.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a4")
    menu.submenu(2,"a6")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a6")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 6.0")
    menu.addline("----------------")
    menu.addline("L'envoi d'un fumigène, au contraire d'une grenade explosive, n'est pas considéré")
    menu.addline("comme un acte agressif. Les détenus ne pourront pas être sanctionnés sur ce fait.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a5")
    menu.submenu(2,"a7")
    menu.submenu(8, "j_regle_ct_mp1")
  
    menu = popuplib.create("a7")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 7.0")
    menu.addline("----------------")
    menu.addline("Les gardiens ont le droit au retour armurie. Toutefois la camp armurie n'est pas toléré.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a6")
    menu.submenu(2,"a8")
    menu.submenu(8, "j_regle_ct_mp1")

    menu = popuplib.create("a8")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 8.0")
    menu.addline("----------------")
    menu.addline("Il est STRICTEMENT interdit aux gardiens de donner des armes aux détenus. Les ")
    menu.addline("sanctions peuvent aller du simple slay jusqu'au ban.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a7")
    menu.submenu(2,"a9")
    menu.submenu(8, "j_regle_ct_mp2")

    menu = popuplib.create("a9")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 9.0")
    menu.addline("----------------")
    menu.addline("Un gardien n'a pas le droit d'accéder à la zone réservée aux détenus. Ce gardien")
    menu.addline("pourra alors être tué par un détenu, sans que ce dernier puisse être sanctionné par les")
    menu.addline("autres gardiens. Tout abus de la part des gardiens sera sanctionné.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a8")
    menu.submenu(2,"a10")
    menu.submenu(8, "j_regle_ct_mp2")
  
    menu = popuplib.create("a10")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 10.0")
    menu.addline("----------------")
    menu.addline("Les détenus qui se trouvent dans la zone réservée aux gardiens seront considérés")
    menu.addline("comme hostiles et pourront être abattus sans sommation.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a9")
    menu.submenu(2,"a11")
    menu.submenu(8, "j_regle_ct_mp2")
  
    menu = popuplib.create("a11")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 11.0")
    menu.addline("----------------")
    menu.addline("L'accés aux conduits est autorisé aux détenus et interdit aux gardiens.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a10")
    menu.submenu(2,"a12")
    menu.submenu(8, "j_regle_ct_mp2")
  
    menu = popuplib.create("a12")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 12.0")
    menu.addline("----------------")
    menu.addline("Les travers sont autorisés pour les gardiens, quelque soit la zone où se trouve le détenu armé.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a11")
    menu.submenu(2,"a13")
    menu.submenu(8, "j_regle_ct_mp2")
    
    menu = popuplib.create("a13")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 13.0")
    menu.addline("----------------")
    menu.addline("Toutes Awp trouvées dans une tour doivent y rester.")
    menu.addline("----------------")
    menu.addline("->1. Article Précédent")
    menu.addline("->2. Article Suivant")
    menu.addline(" ")
    menu.addline("->8. Retour")
    menu.submenu(1,"a12")
    menu.submenu(2,"a14")
    menu.submenu(8, "j_regle_ct_mp2")
    
    menu = popuplib.create("a14")
    menu.addline("Règles anti-terroristes")
    menu.addline("Article 14.0")
    menu.addline("----------------")
    menu.addline("Arme dans le dos = sommation")
    menu.addline("Arme en main = kill")
    menu.addline("----------------")
    menu.addline(" ")
    menu.addline("->1. Article Précédent")
    menu.addline("->8. Retour")
    menu.submenu(1,"a13")
    menu.submenu(8, "j_regle_ct_mp2")    
    
    
def unload():
    popuplib.delete("j_regle")
    popuplib.delete("Regles terroristes")
    popuplib.delete("j_regle_ct_mp1")
    popuplib.delete("j_regle_ct_mp2")
    popuplib.delete("a1")
    popuplib.delete("a2")
    popuplib.delete("a3")
    popuplib.delete("a4")
    popuplib.delete("a5")
    popuplib.delete("a6")
    popuplib.delete("a7")
    popuplib.delete("a8")
    popuplib.delete("a9")
    popuplib.delete("a10")
    popuplib.delete("a11")
    popuplib.delete("a12")
    popuplib.delete("a13")
    popuplib.delete("a14")
    es.dbgmsg(0, '[Sici Jail] Modules : Regles Off')
